package routingtables

import (
	"code.fbi.h-da.de/danet/gosdn/controller/store"
	topoStore "code.fbi.h-da.de/danet/gosdn/controller/topology/store"

	"go.mongodb.org/mongo-driver/mongo"
)

// NewRoutingTableStore returns a RoutingTableStore.
func NewRoutingTableStore(db *mongo.Database) Store {
	storeMode := store.GetStoreMode()

	switch storeMode {
	case store.Database:
		return NewDatabaseRoutingTableStore(db)

	default:
		return topoStore.NewGenericStore[RoutingTable]()
	}
}
