import './scrollbar.scss'

export const Scrollbar = ({ children, className = '', scrollX = true, scrollY = true }) => {
    // Determine overflow classes based on scroll options
    const getOverflowClass = () => {
        if (scrollX && scrollY) return 'overflow-auto'
        if (scrollX) return 'overflow-x-auto overflow-y-hidden'
        if (scrollY) return 'overflow-y-auto overflow-x-hidden'
        return 'overflow-hidden'
    }

    // Determine scroll direction classes
    const getScrollDirectionClass = () => {
        const classes = ['scrollable-content']
        if (scrollX) classes.push('scroll-x')
        if (scrollY) classes.push('scroll-y')
        return classes.join(' ')
    }

    return (
        <div className={`custom-scrollbar position-relative h-100 overflow-hidden ${className}`}>
            <div className={`${getScrollDirectionClass()} ${getOverflowClass()}`}>{children}</div>
        </div>
    )
}
